#!BuildIgnore:	post-build-checks
Name:		cluster
Version:	2.03.11
Release:	23.5
License:	GPL
Group:		System
Summary:	Redhat Cluster Suite
Url:		http://sources.redhat.com/cluster/wiki/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-rpmlintrc
Patch0:		cluster-cman-init.patch
PAtch1:		cluster-gfs2-init.patch
Patch2:		cluster-gfs-init.patch
Patch3:		cluster-qdiskd-init.patch
Patch4:		cluster-rgmanager-init.patch
Patch5:		cluster-scsi_reserve.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Requires:	kernel >= 2.6.27 openais sysconfig >= 0.71.11
BuildRequires:	kernel-source
BuildRequires:	ncurses-devel readline-devel slang-devel libxml2-devel
BuildRequires:	libopenais-devel libvirt-devel
BuildRequires:	udev net-snmp-devel net-snmp
BuildRequires:	mozilla-xulrunner181-devel
BuildRequires:	libvolume_id-devel
BuildRequires:	xen-devel
Provides:	cman

Requires:	python-pexpect
Requires:	python-openssl
Requires:	perl-Net-Telnet
Requires:	perl-Net-SNMP

%description

%package devel
Provides:	cman-devel
Summary:	Redhat Cluster Suite development files
Group:		Development/Libraries

%description devel


%package -n gfs2-utils
Group:		System/Filesystems
Summary:	GFS2 utilities

%description -n gfs2-utils

%package -n gfs-utils
Group:		System/Filesystems
Summary:	GFS utilities

%description -n gfs-utils

%package -n gnbd-utils
Group:		System/Filesystems
Summary:	Global network blockdevice utils

%description -n gnbd-utils

%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--incdir=%{_includedir} \
	--without_kernel_modules
	
%build
%__make

%install
%__make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/%{_docdir}
mkdir -p %{buildroot}%{_sysconfdir}/cluster
mv %{buildroot}/%{_datadir}/doc/%{name} %{buildroot}/%{_docdir}/

# no install-strip target
for file in %{buildroot}%{_sbindir}/* ; do
 if [ -n "`file $file |grep ELF`" ] ; then
  strip $file
 fi
done
for file in %{buildroot}/sbin/* ; do
 if [ -n "`file $file |grep ELF`" ] ; then
  strip $file
 fi
done

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
%insserv_cleanup

%postun -n gfs-utils
%insserv_cleanup

%postun -n gfs2-utils
%insserv_cleanup

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/cluster
%config %{_sysconfdir}/udev/rules.d/*.rules
%{_sbindir}/ccs*
%{_sbindir}/clu*
%{_sbindir}/cman_tool
%{_sbindir}/dlm*
%{_sbindir}/group*
%{_sbindir}/fence*
%{_sbindir}/mkqdisk
%{_sbindir}/qdiskd
%{_sbindir}/rg_test
%{_datadir}/%{name}
%{_datadir}/fence/*
%{_datadir}/snmp/mibs/powernet369.mib
%{_mandir}/man3/dlm_*.3*
%{_mandir}/man3/libdlm.3*
%{_mandir}/man5/cluster.conf.5*
%{_mandir}/man5/cman.5*
%{_mandir}/man5/qdisk.5*
%{_mandir}/man7/ccs.7*
%{_mandir}/man8/ccs*.8*
%{_mandir}/man8/clu*.8*
%{_mandir}/man8/cman_tool.8*
%{_mandir}/man8/dlm_*.8*
%{_mandir}/man8/group*.8*
%{_mandir}/man8/fence*.8*
%{_mandir}/man8/mkqdisk.8*
%{_mandir}/man8/qdiskd.8*
%{_docdir}/%{name}
%{_libdir}/*.so.2.3
/usr/libexec/lcrso/service_cman.lcrso
%{_sysconfdir}/init.d/cman
%{_sysconfdir}/init.d/qdiskd
%{_sysconfdir}/init.d/rgmanager
%{_sysconfdir}/init.d/scsi_reserve

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.so.2

%files -n gfs2-utils
%defattr(-,root,root)
%{_sbindir}/gfs2_*
%{_sbindir}/mkfs.gfs2
%{_sbindir}/fsck.gfs2
%{_mandir}/man8/gfs2*.8*
%{_mandir}/man8/mkfs.gfs2.8*
/sbin/mount.gfs2
/sbin/umount.gfs2
%{_sysconfdir}/init.d/gfs2

%files -n gfs-utils
%defattr(-,root,root)
%{_sbindir}/gfs_*
%{_sbindir}/mkfs.gfs
%{_sbindir}/fsck.gfs
%{_mandir}/man8/gfs.8*
%{_mandir}/man8/gfs_*.8*
/sbin/mount.gfs
/sbin/umount.gfs
%{_sysconfdir}/init.d/gfs

%files -n gnbd-utils
%defattr(-,root,root)
%{_sbindir}/gnbd_*
%{_mandir}/man8/gnbd*.8*

%changelog
* Thu Oct 15 2009 Carsten Schoene <cs@linux-administrator.com> - 2.03.11-15
- added some runtime requires
 - python-pexpect
 - python-openssl
 - perl-Net-Telnet
 - perl-Net-SNMP

* Tue May 26 2009 Carsten Schoene <cs@linux-administrator.com> - 2.03.11-14
- fix some small init script problems
- small cleanups in spec
- added xen-devel to BuildRequires

* Mon Mar 30 2009 Carsten Schoene <cs@linux-administrator.com> - 2.03.11-13
- build for SLE_11
- add scsi_reserve patch
- strip binarys
- add rpmlintrc

* Wed Feb 18 2009 Carsten Schoene <cs@linux-administrator.com>
- update to new release 2.03.11

* Thu Dec 11 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package of redhat cluster suite for SLE_10
